** define  energy, water fluxes, and advection

* get qtcm parameters'
 'run qtcmpar'

* Solar absorbed by surface
 'define FSWs=FSWds-FSWus'

* Solar absorbed by air column
 'define FSW=S0-FSWut-FSWds+FSWus'

* Longwave absorbed by surface
 'define FLWs=FLWds-FLWus'

* Longwave absorbed by air column
 'define FLW=FLWus-OLR-FLWds'

* net energy absorbed by surface
 'define Fs=FSWs+FLWs-Evap-FTs'

* net energy absorbed at TOA
 'define Ft=S0-FSWut-OLR'

* net moist (i.e. including evaporation) energy absorbed by air column
 'define F=Ft-Fs'

* convert advection into energy flux as appeared in the moist static energy eq.
 'define FadvT1=advT1*a1hat*Cpg'
 'define Fadvq1=advq1*b1hat*Cpg'
 'define Fadv1=Fadvq1+FadvT1'

* <Q1>, <Q2> of Yanai et al. (1973)
 'define Q2hat=Prec-Evap'
 'define Q1hat=F+Q2hat'
*'define Q1hatm=ave(Q1hat,t-15,t+14)'
*'define Fm=ave(F,t-15,t+14)'

