#!/usr/bin/csh -f 
# ave31.sh -- C-shell script to run ave31.f. Users need to input variable name(s)
#             for averaging. When multiple variable names are used, separate them
#             by space and change the parameter 'nvar' in ave31.f correspondingly.
#  
# Note: ave31.f reads monthly QTCM outputs and assume data starting from January.
# It produces averaged monthly data in 0000mm15.var, where mm is month 01-12 and 
# var is a 3-character string. Annual mean is stored in 00000000.var. Meanwhile, 
# binary files varam.dat (annual mean) and varmm.dat (monthly mean) are generated
# for GrADs visualization.  
    
f77 -o ave31 ave31.f # make ave31
ave31 <<EOF
tsc
EOF
