** time-longtitude diagram for anomalies along the Equator    NZ 5/98

 'reinit'
 'open 8298.ctl'

* QTCM parameters
 'run qtcmpar.gs'

* define clim and anomaly
 ca(prec,jan82,dec98)
 ca(Ts,jan82,dec98)


* time longitude plot on EQ
 'set time jan82 dec98'
 'set lat 0'
 'define preca0=ave(preca,lat=-1.875,lat=1.875)'
 'define preca3m=ave(preca0,t-1,t+1)'

 'enable print meta'
 'set font 1'
 'c'
 'set grads off'
 'set grid off'
 'set rgb 20 0 20 0'
 'set rgb 80 0 80 0'
 'set gxout shaded'
 'set clevs -2 0 2'
 'set ccols 20 0 0 80'
 'set black -0.5 0.5'
 'd preca3m/rain2flux'
* 'run cbar'
 'set gxout contour'
 'set cint 2'
 'd preca3m/rain2flux'
 'draw title Precip. anomaly on Equator  QTCM1'
 'print'
* 'q pos'

 'disable print'
*'!gxps -i meta -o prec_EQ.ps'


** define clim, anom.
function ca(var,t1,t2)
 'set time 't1' 't2
* climatology
 'define 'var'c=ave('var',t+0,time='t2',1yr)'
 'modify 'var'c seasonal'
*anom
 'define 'var'a='var'-'var'c'

 say 'mean, anom, are defined for  ' var

return

**********

