** QTCM parameters; mostly from qtcmpar.in and should agree with values there

*stuff for baroclinic mode v1

* a1, b1 up to 200mb
 'define V11000mb=  -0.235772'    
 'define V1950mb=  -0.2204077'    
 'define V1900mb=  -0.2044558'    
 'define V1850mb=  -0.187438'
 'define V1800mb=  -0.168727'    
 'define V1700mb=  -0.124817'    
 'define V1600mb=  -6.869278E-02'
 'define V1500mb=   7.053178E-03'
 'define V1400mb=   0.117307' 
 'define V1300mb=   0.2932457'    
 'define V1200mb=   0.5870798'    

* surface at 1000mb and top at 200mb (rather than 100mb!)
 'define V1s=V11000mb'
 'define V1t=V1200mb'

* vertical T1, q1 stuff
 'define a1hat=0.442395'
 'define a1s=0.3020398'
 'define b1hat=0.3353257'
 'define b1s=1.00000'

* reference values at surface
 'define Trefs= 302.0'
 'define qrefs= 51.955'


* LW radiation contribution from T1,q1,...
 'define epsrT1s=1.29'
 'define epsrT1t=1.23'
 'define epsrq1s=1.23'
 'define epsrq1t=-0.41'



***** unit conversion factors
*  g/kg => Kelvin; q2T=L/Cp with L=2.43e6 (at typical sfc. temperature),Cp=1004.
 'define q2T=2.42'
*  mm/day => W/m**2; rain2flux=L/day
 'define rain2flux=28'
*  column heating(K/s) => flux(W/m**2); Cpg=Cp*Dp/g with Dp=8.e4Pa
 'define Cpg=8195918.0'

